package com.ruoyi.e.order.domain.order.bo;

import com.ruoyi.common.core.domain.entity.EUserVO;
import com.ruoyi.e.order.domain.order.EOrder;
import com.ruoyi.e.order.domain.order.EOrderVO;
import com.ruoyi.e.order.domain.order.dto.EOrderDTO;
import com.ruoyi.e.order.domain.order.dto.EReletOrderDTO;
import com.ruoyi.system.domain.channel.ChannelVO;
import com.ruoyi.system.domain.device.EDevice;
import com.ruoyi.system.domain.model.EModelVO;
import com.ruoyi.system.domain.rule.EFeeRuleVO;
import lombok.Data;

@Data
public class EOrderBO {

    // 原始参数
    private EOrderDTO params;

    // 续租原始参数
    private EReletOrderDTO reletOrderDTO;

    // 车辆
    private EDevice device;

    // 商户
    private EUserVO merchant;

    // 支付渠道
    private ChannelVO channel;

    // 车型
    private EModelVO model;

    // 套餐
    private EFeeRuleVO feeRule;

    // 用户
    private EUserVO user;

    // 类型
    private String type;

    // 原订单
    private EOrderVO originalOrder;

}
