package com.ruoyi.e.order.domain.order.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class EOrderDTO {

    /**
     * sn码
     */
    @NotBlank(message = "sn码不允许为空")
    @ApiModelProperty("sn码")
    private String sn;

    /**
     * 类型
     */
    @NotBlank(message = "类型不允许为空")
    @ApiModelProperty("类型")
    private String type;

    /**
     * 数量
     */
    @ApiModelProperty("数量")
    @NotNull(message = "数量不允许为空")
    private Integer num;

    /**
     * 计费规则id
     */
    @ApiModelProperty("计费规则id")
    @NotNull(message = "计费规则id不允许为空")
    private Long ruleId;

}
