package com.ruoyi.e.order.service;

import com.ruoyi.common.core.domain.ValidateResult;
import com.ruoyi.common.core.domain.entity.EUser;
import com.ruoyi.e.order.domain.order.bo.EOrderBO;

import java.util.List;

/**
 * 订单校验器
 *
 * @author qzz
 * @date 2024-09-19
 */
public interface IEOrderValidator {

    /**
     * 创建订单前校验
     *
     * @param bo
     * @return
     */
    ValidateResult preAddOrder(EOrderBO bo);

    void checkDividendProportions(List<EUser> dividendUsers);
}
